org.apache.maven.plugin.install

## Class DualDigester

- java.lang.Object
- - org.apache.maven.plugin.install.DualDigester

-     public class DualDigester
      extends Object

  Calculates md5 and sha1 digest.

  Todo: Consider using a thread to calculate one of the digests when the files are large; it's fairly slow !
  Author:
    Kristian Rosenvold

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DualDigester()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `calculate(File file)`
    `String` | `getMd5()`
    `String` | `getSha1()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DualDigester

          public DualDigester()

  - ### Method Detail

    - #### calculate

          public void calculate(File file)
                         throws org.apache.maven.plugin.MojoExecutionException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

    - #### getMd5

          public String getMd5()

    - #### getSha1

          public String getSha1()

Copyright © 2004–2015. All rights reserved.